#ifndef COMPANYLISTITEMDELEGATE_H
#define COMPANYLISTITEMDELEGATE_H

#include <QStyledItemDelegate>
#include <QPainter>


class CompanyListItemDelegate  : public QStyledItemDelegate
{
    Q_OBJECT

public:
    explicit CompanyListItemDelegate(QObject *parent = 0);

    void paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const;
    QSize sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const;

private:
    void paintPerson(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const;
    void paintLetter(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const;
};

#endif // COMPANYLISTITEMDELEGATE_H
